{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "eslint",
    "test": "vitest",
    "test:ui": "vitest --ui"
  },
  "vitest": {
    "environment": "jsdom",
    "globals": true,
    "setupFiles": [
      "./vitest.setup.ts"
    ]
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@radix-ui/react-dialog": "^1.1.15",
    "@radix-ui/react-slot": "^1.2.4",
    "@radix-ui/react-toast": "^1.2.15",
    "@react-three/drei": "^10.7.7",
    "@react-three/fiber": "^9.5.0",
    "@tanstack/react-query": "^5.90.21",
    "@types/three": "^0.183.1",
    "class-variance-authority": "^0.7.1",
    "motion": "^12.36.0",
    "next": "16.1.6",
    "next-themes": "^0.4.6",
    "radix-ui": "^1.4.3",
    "react": "19.2.3",
    "react-dom": "19.2.3",
    "shadcn": "^4.0.6",
    "three": "^0.183.2",
    "three-stdlib": "^2.36.1",
    "tw-animate-css": "^1.4.0",
    "zustand": "^5.0.11"
  },
  "devDependencies": {
    "@tailwindcss/postcss": "^4.2.2",
    "@testing-library/jest-dom": "^6.9.1",
    "@testing-library/react": "^16.3.2",
    "@testing-library/user-event": "^14.6.1",
    "@types/node": "^20",
    "@types/react": "^19",
    "@types/react-dom": "^19",
    "@vitejs/plugin-react": "^5.1.4",
    "autoprefixer": "^10.4.27",
    "clsx": "^2.1.1",
    "eslint": "^9",
    "eslint-config-next": "16.1.6",
    "framer-motion": "^12.38.0",
    "jsdom": "^28.1.0",
    "lucide-react": "^0.577.0",
    "postcss": "^8.5.8",
    "tailwind-merge": "^3.5.0",
    "tailwindcss": "^4.0.0",
    "typescript": "^5",
    "vitest": "^4.0.18"
  }
}
